## RygelHTTPResponse

RygelHTTPResponse

## Functions

GeeList * | rygel_http_response_preroll ()
void | rygel_http_response_end ()
RygelHTTPResponse * | rygel_http_response_new ()
SoupServer * | rygel_http_response_get_server ()
gint | rygel_http_response_get_priority ()

## Properties

GCancellable * | cancellable | Read / Write
gint | priority | Read
SoupServer * | server | Read

## Types and Values

#define | RYGEL_TYPE_HTTP_RESPONSE
struct | RygelHTTPResponse
struct | RygelHTTPResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponse

## Implemented Interfaces

RygelHTTPResponse implements RygelStateMachine.

## Description

## Functions

### rygel_http_response_preroll ()

    GeeList *
    rygel_http_response_preroll (RygelHTTPResponse *self,
                                 GError **error);

#### Parameters

self | the RygelHTTPResponse instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_http_response_end ()

    void
    rygel_http_response_end (RygelHTTPResponse *self,
                             gboolean aborted,
                             guint status);

#### Parameters

self | the RygelHTTPResponse instance |
aborted |  |
status |  |

### rygel_http_response_new ()

    RygelHTTPResponse *
    rygel_http_response_new (RygelHTTPGet *request,
                             RygelHTTPGetHandler *request_handler,
                             RygelDataSource *src,
                             GError **error);

#### Parameters

request |  |
request_handler |  |
src |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_http_response_get_server ()

    SoupServer *
    rygel_http_response_get_server (RygelHTTPResponse *self);

Get and return the current value of the "server" property.

#### Parameters

self | the RygelHTTPResponse instance to query |

#### Returns

the value of the "server" property

### rygel_http_response_get_priority ()

    gint
    rygel_http_response_get_priority (RygelHTTPResponse *self);

Get and return the current value of the "priority" property.

#### Parameters

self | the RygelHTTPResponse instance to query |

#### Returns

the value of the "priority" property

## Types and Values

### RYGEL_TYPE_HTTP_RESPONSE

    #define RYGEL_TYPE_HTTP_RESPONSE (rygel_http_response_get_type ())

The type for RygelHTTPResponse.

### struct RygelHTTPResponse

    struct RygelHTTPResponse;

### struct RygelHTTPResponseClass

    struct RygelHTTPResponseClass {
    	GObjectClass parent_class;
    	void (*end) (RygelHTTPResponse* self, gboolean aborted, guint status);
    };

The class structure for `RYGEL_TYPE_HTTP_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members

`end` () | virtual method called by `rygel_http_response_end()` |

## Property Details

### The `“cancellable”` property

      “cancellable”              GCancellable *

cancellable.

Flags: Read / Write

### The `“priority”` property

      “priority”                 gint

priority.

Flags: Read

Default value: 0

### The `“server”` property

      “server”                   SoupServer *

server.

Flags: Read